import { NumberValue } from './number-value';
/**
 * Class to create special parameters for state machine states
 */
export declare class JsonPath {
    /**
     * Instead of using a literal string, get the value from a JSON path
     */
    static stringFromPath(path: string): string;
    /**
     * Instead of using a literal string list, get the value from a JSON path
     */
    static listFromPath(path: string): string[];
    /**
     * Get a number from a JSON path
     */
    static numberFromPath(path: string): NumberValue;
    private constructor();
}
/**
 * Render a parameter string
 *
 * If the string value starts with '$.', render it as a path string, otherwise as a direct string.
 */
export declare function renderString(key: string, value: string | undefined): {
    [key: string]: string;
};
/**
 * Render a parameter string
 *
 * If the string value starts with '$.', render it as a path string, otherwise as a direct string.
 */
export declare function renderStringList(key: string, value: string[] | undefined): {
    [key: string]: string[] | string;
};
/**
 * Render a parameter string
 *
 * If the string value starts with '$.', render it as a path string, otherwise as a direct string.
 */
export declare function renderNumber(key: string, value: NumberValue | undefined): {
    [key: string]: number | string;
};
